/*
*
* Copyright (c) 2004 Sun Microsystems, Inc.
* All rights reserved.
* You may not modify, use, reproduce, or distribute this software except in compliance with the terms
* of the License at: http://developer.sun.com/berkeley_license.html
* Author : Sameer Tyagi, Sun Microsystems s.t@sun.com
* "Patterns and Strategies for Building Document-Based Web Services"
*  http://java.sun.com/developer/technicalArticles/xml/jaxrpcpatterns
*/

import com.examples.xmlstring.clientbindings.*;


public class RPCLiteralClient {

    public static void main(String[] args) throws Exception {
        String url = "http://localhost:9090/styleexample2/jaxrpc";
        if (args.length == 1) {
            url = args[0];
        }
        XMLStringService_Impl serviceproxy = new XMLStringService_Impl();
        IStringService_Stub stub = (IStringService_Stub) (serviceproxy.getIStringServicePort());
        stub._setProperty(javax.xml.rpc.Stub.ENDPOINT_ADDRESS_PROPERTY, url);
        sendString("Hello World", stub);
    }


    /**
     * Sends the contents to the service, the contents are stored in the String below
     *
     * @param xml
     * @param stub
     * @throws Exception
     */
    public static void sendString(String xml, IStringService_Stub stub) throws Exception {
        String response = stub.sayXMLHello(xml);
        System.out.println("Server replied back with : \n " + response);

    }


}
